{% include "head.html" %}

<div class="container-fluid" style="padding: 0;">
    {% include "navbar.html" %}

    <div class="row" style="margin: .5em;">
        <div class="col-sm-4">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title">Overview</h5>
                    <b>Name:</b> {{ name }}
                    <br>
                    <b>Status:</b>
                    {% if running == True %}
                        <td><span class="badge badge-success">Running</span></th>
                    {% else %}
                        <td><span class="badge badge-danger">Not running</span></th>
                    {% endif %}
                    <br>
                    <b>Service name:</b> {{ systemctl_name }}
                </div>
            </div>
        </div>
        <div class="col-sm-8">
            <button style="float: right" type="button" class="btn btn-info" onclick="location.href = '/openvpn/Servers/{{ name }}/create_client'">Create new client</button>
            <h3>Client Export</h3>
            <form action="{{ request.path }}/download/" method="get">
                <div class="form-group">
                    <label for="client_name">Domain</label>
                    <select class="form-control" id="client_name" name="client_name">
                        {% for client in clients %}
                            <option value="{{ client.name }}">{{ client.name }}</option>"
                        {% endfor %}
                    </select>
                </div>
                <button type="submit" class="btn btn-primary">Download</button>
            </form>
        </div>
    </div>
</div>